## NMSettingGeneric NMSettingGeneric — Describes connection properties for generic devices |

## Functions

NMSetting * | nm_setting_generic_new ()

## Types and Values

#define | NM_SETTING_GENERIC_SETTING_NAME

## Description

The NMSettingGeneric object is a NMSetting subclass that describes optional properties that apply to "generic" devices (ie, devices that NetworkManager does not specifically recognize).

There are currently no properties on this object; it exists only to be the "connection type" setting on NMConnections for generic devices.

## Functions

### nm_setting_generic_new ()

    NMSetting *
    nm_setting_generic_new (void);

Creates a new NMSettingGeneric object with default values.

#### Returns

the new empty NMSettingGeneric object.

[transfer full]

## Types and Values

### NM_SETTING_GENERIC_SETTING_NAME

    #define NM_SETTING_GENERIC_SETTING_NAME "generic"